## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ConverterTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ConverterTypeImpl

All Implemented Interfaces:
  ConverterType

    public class ConverterTypeImpl

extends EObjectImpl
implements ConverterType

An implementation of the model object 'Converter Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Converter Id`
- `Converter For Class`
- `Converter Class`
- `Attribute`
- `Property`
- `Converter Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetConverterClass(ConverterClassType newConverterClass, NotificationChain msgs)`
`NotificationChain` `basicSetConverterForClass(ConverterForClassType newConverterForClass, NotificationChain msgs)`
`NotificationChain` `basicSetConverterId(ConverterIdType newConverterId, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAttribute()`
`ConverterClassType` `getConverterClass()`
`EList` `getConverterExtension()`
`ConverterForClassType` `getConverterForClass()`
`ConverterIdType` `getConverterId()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`EList` `getProperty()`
`void` `setConverterClass(ConverterClassType newConverterClass)`
`void` `setConverterForClass(ConverterForClassType newConverterForClass)`
`void` `setConverterId(ConverterIdType newConverterId)`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ConverterType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ConverterType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ConverterType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Icon()`

### getConverterId

    public ConverterIdType getConverterId()

  Specified by:
    `getConverterId` in interface `ConverterType`
  Returns:
    the value of the 'Converter Id' containment reference.
  See Also:
    `ConverterType.setConverterId(ConverterIdType)`, `FacesConfigPackage.getConverterType_ConverterId()`

### basicSetConverterId

    public NotificationChain basicSetConverterId(ConverterIdType newConverterId,
                                                 NotificationChain msgs)

  Parameters:
    `newConverterId` -
    `msgs` -
  Returns:
    the notification chain

### setConverterId

    public void setConverterId(ConverterIdType newConverterId)

  Specified by:
    `setConverterId` in interface `ConverterType`
  Parameters:
    `newConverterId` - the new value of the 'Converter Id' containment reference.
  See Also:
    `ConverterType.getConverterId()`

### getConverterForClass

    public ConverterForClassType getConverterForClass()

  Specified by:
    `getConverterForClass` in interface `ConverterType`
  Returns:
    the value of the 'Converter For Class' containment reference.
  See Also:
    `ConverterType.setConverterForClass(ConverterForClassType)`, `FacesConfigPackage.getConverterType_ConverterForClass()`

### basicSetConverterForClass

    public NotificationChain basicSetConverterForClass(ConverterForClassType newConverterForClass,
                                                       NotificationChain msgs)

  Parameters:
    `newConverterForClass` -
    `msgs` -
  Returns:
    the notification chain

### setConverterForClass

    public void setConverterForClass(ConverterForClassType newConverterForClass)

  Specified by:
    `setConverterForClass` in interface `ConverterType`
  Parameters:
    `newConverterForClass` - the new value of the 'Converter For Class' containment reference.
  See Also:
    `ConverterType.getConverterForClass()`

### getConverterClass

    public ConverterClassType getConverterClass()

  Specified by:
    `getConverterClass` in interface `ConverterType`
  Returns:
    the value of the 'Converter Class' containment reference.
  See Also:
    `ConverterType.setConverterClass(ConverterClassType)`, `FacesConfigPackage.getConverterType_ConverterClass()`

### basicSetConverterClass

    public NotificationChain basicSetConverterClass(ConverterClassType newConverterClass,
                                                    NotificationChain msgs)

  Parameters:
    `newConverterClass` -
    `msgs` -
  Returns:

### setConverterClass

    public void setConverterClass(ConverterClassType newConverterClass)

  Specified by:
    `setConverterClass` in interface `ConverterType`
  Parameters:
    `newConverterClass` - the new value of the 'Converter Class' containment reference.
  See Also:
    `ConverterType.getConverterClass()`

### getAttribute

    public EList getAttribute()

  Specified by:
    `getAttribute` in interface `ConverterType`
  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Attribute()`

### getProperty

    public EList getProperty()

  Specified by:
    `getProperty` in interface `ConverterType`
  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Property()`

### getConverterExtension

    public EList getConverterExtension()

  Specified by:
    `getConverterExtension` in interface `ConverterType`
  Returns:
    the value of the 'Converter Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_ConverterExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ConverterType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ConverterType.setId(String)`, `FacesConfigPackage.getConverterType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ConverterType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ConverterType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()